/**
 * --- Завдання 8
 * - Умова:
 * Напишіть програму, яка обчислює факторіал числа, введеного користувачем.
 * Програма має перевіряти, чи введене число є додатнім цілим числом і виводити повідомлення про помилку,
 * якщо це не так.
 *
 * - Приклад:
 * Введення: 5
 * Виведення: Факторіал числа 5 дорівнює 120
 *
 * Введення: -2
 * Виведення: Помилка: введіть додатнє ціле число
 *
 * Введення: 5.5
 * Виведення: Помилка: введіть додатнє ціле число
 *
 * @format
 */

const fact = parseFloat(prompt("факторіал числа:"));
let num = 1;

if (!Number.isInteger(fact) || fact < 0) {
  console.log("Помилка: введіть додатнє ціле число");
} else {
  for (let i = 2; i <= fact; i++) {
    num *= i;
  }
  console.log(`Факторіал числа ${fact} дорівнює ${num}`);
}
